package org.javanicus.blog;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class BlogOutPanel extends JPanel{
	private BlogButton clearButton = new BlogButton("clear");
    private JEditorPane outPane = new JEditorPane();
    private JScrollPane outScroller = null;

    public void println(String text) {
        if (outPane.getText() != null) {
            outPane.setText(outPane.getText() + System.getProperty("line.seperator") + text);
        } else {
            outPane.setText(text);
        }
    }

    public BlogOutPanel() {
        super(new BorderLayout());

        outPane.setEditable(true);
		outPane.setContentType("text/plain");
		outScroller = new JScrollPane(outPane);
		outScroller.setPreferredSize(new Dimension(500,300));

        add(outScroller, BorderLayout.NORTH);

		JPanel buttons = new JPanel();
		buttons.add(clearButton);
        add(buttons, BorderLayout.SOUTH);

		clearButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
                // clear text pane
                BlogOutPanel.this.outPane.setText("");
			}
		});

    }
}
