package org.javanicus.blog;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class BlogConfigPanel extends JPanel{
	private BlogButton applyButton = new BlogButton("apply");
    BlogDestination destination = null;
    protected JTextField serverField;
    protected JTextField userField;
    protected JTextField passField;
    protected JTextField remoteField;
    protected JTextField projectField;
    protected JTextField webserverField;

    public BlogConfigPanel(BlogDestination destination) {
        super(new GridLayout(0,2));

        this.destination = destination;

        add(new JLabel("project:"));
        projectField = new JTextField(destination.getProject());
        add(projectField);

        add(new JLabel("webserver:"));
        webserverField = new JTextField(destination.getWebserver());
        add(webserverField);

        add(new JLabel("server:"));
        serverField = new JTextField(destination.getServer());
        add(serverField);

        add(new JLabel("username:"));
        userField = new JTextField(destination.getUsername());
        add(userField);

        add(new JLabel("password:"));
        passField = new JTextField(destination.getPassword());
        add(passField);

        add(new JLabel("remote:"));
        remoteField = new JTextField(destination.getRemote());
        add(remoteField);

		JPanel buttons = new JPanel();
		buttons.add(applyButton);
        add(buttons);

		applyButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				// alter destination
                BlogConfigPanel.this.destination.setProject(BlogConfigPanel.this.projectField.getText());
                BlogConfigPanel.this.destination.setWebserver(BlogConfigPanel.this.webserverField.getText());
                BlogConfigPanel.this.destination.setServer(BlogConfigPanel.this.serverField.getText());
                BlogConfigPanel.this.destination.setUsername(BlogConfigPanel.this.userField.getText());
                BlogConfigPanel.this.destination.setPassword(BlogConfigPanel.this.passField.getText());
                BlogConfigPanel.this.destination.setRemote(BlogConfigPanel.this.remoteField.getText());
			}
		});

    }
}
